package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class CookRice extends BaseDevMode{


    public CookRice(){

        this.setMode(WorkModes.COOK_RICE);

        //时间
        this.setMinTime(0);
        this.setMaxTime(40 * 60);
        this.setDefaultTime(30 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMaxMotorGear(1);
        this.setMotorGearChange(false);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.REVERSE);

        //温度
        this.setDefaultTemp(100);
        this.setMinTemp(100);
        this.setMaxTemp(100);
        this.setTempChange(false);

    }


}
